<?php
namespace Controllers;
// Контроллер Настроек
class Settings extends Controller {

	public function __construct() {
		parent::__construct();
		$this->model=new \Models\Settings($this->f3);
	}

	// Настройки для подключения к API
	function api() {
		$data=$this->controller->get_api_config();
		$this->f3->set('data', $data);
		$this->f3->set('page_data', $this->model->page_data('api'));
	}

	// Сохраняем настройки для подключения к API
	function post_api() {
		$post=$this->f3->get('POST');
		$res=$this->model->post_api($post); // пытаемся сохранить настройки
		$res['txt']=$this->messeges->messege($res['txt'])['txt']; // получаем текст ответа
		echo json_encode($res); // сообщаем что вышло
		exit();
	}

	// Страница синхронизации
	function synchronization() {
		$data=$this->db->exec("SELECT auto_sinch FROM synchronization LIMIT 1");
		$this->f3->set('auto_sinch', $data[0]['auto_sinch']);
		$this->f3->set('page_data', $this->model->page_data('synchronization'));
	}

	// Включаем или выключаем автосинхронизацию
	function post_synchronization() {
		$auto_sinch=$this->f3->get('POST.auto_sinch');
		$res=$this->model->post_synchronization($this->db, $auto_sinch);
		$res['txt']=$this->messeges->messege($res['txt'])['txt'];
		echo json_encode($res);
		exit();
	}

	// Настройка фискального регистратора
	function kkm() {
		$fr=new \Models\Fr($this->db, $this->f3);
		$data=$fr->get_fr();
		$this->f3->set('data', $data);
		$p=new \Models\Paymentmethods($this->db, $this->f3);
		$pays=$p->select_method();
		$this->f3->set('pays', $pays);
		$this->f3->set('page_data', $this->model->page_data('kkm'));
	}
	
	// Продолжение печати, выход из аварийного состояни
	function continue_print() {
		$fr=new \Models\Fr($this->db, $this->f3);
		$res=$fr->continue_print();
		$this->f3->set('page_data', $this->messeges->messege($res['txt']));
	}

	// Сохраняем настройки ФР
	function post_kkm() {
		$post=$this->f3->get('POST');
		$fr=new \Models\Fr($this->db, $this->f3);
		$res=$fr->save_fr($post);
		$res['txt']=$this->messeges->messege($res['txt'])['txt']; // получаем текст ответа
		echo json_encode($res); // сообщаем что вышло
		exit();
	}
}